﻿// Copyright 2011 L'Express de Toronto Inc.
// May 30, 2011
// Written by Kasyan Servetsky
// http://www.kasyan.ho.com.ua
// e-mail: askoldich@yahoo.com
//==================================================================
if (app.documents.length == 0) ErrorExit("Please open a document and try again.");

var gScriptName = "Apply paragraph style 'corps.chapeau'";
var gScriptVersion = "1.0";
var doc = app.activeDocument;
var sel = doc.selection[0];
if (doc.selection.length != 1) ErrorExit("Some text should be selected, or the cursor should be inserted into the text.");
var parStyle = doc.paragraphStyleGroups.item("Corps de Text").paragraphStyles.item("corps.chapeau");
if (!parStyle.isValid) ErrorExit("Paragraph style \"corps.chapeau\" doesn't exist.");

if (sel.constructor.name == "Character" || // some text is selected 
	sel.constructor.name == "Word" ||
	sel.constructor.name == "TextStyleRange" ||
	sel.constructor.name == "Line" ||
	sel.constructor.name == "Paragraph" ||
	sel.constructor.name == "TextColumn" ||
	sel.constructor.name == "Text" ||
	sel.constructor.name == "InsertionPoint")
{
	sel.applyParagraphStyle(parStyle, false);  
}
else {
	ErrorExit("Some text should be selected, or the cursor should be inserted into the text.");
}

//===================================== FUNCTIONS  ======================================
function ErrorExit(error, icon) {
	alert(error, gScriptName + " - " + gScriptVersion, icon);
	exit();
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------